KDE 4.3 PyKDE API Reference

- KDE's Python API

# CollectionDialog Class Reference

`from PyKDE4.akonadi import *`

Inherits: KDialog → QDialog → QWidget → QObject
Namespace: Akonadi

## Detailed Description

A collection selection dialog.

Provides a dialog that lists all collections that are available on the Akonadi storage. The list of shown collections can be filtered by mime type.

Example:

     // show the user a dialog to select a collection of contacts
     Akonadi.CollectionDialog dlg( this );
     dlg.setMimeTypeFilter( QStringList() << QString( "text/directory" ) );

     if ( dlg.exec() ) {
       const Akonadi.Collection collection = dlg.selectedCollection();
       ...
     }

Author:
  Ingo Klöcker <kloecker@kde.org>

Since:
  4.3

## Methods

| __init__ (self, Akonadi.CollectionDialog a0)
| __init__ (self, QWidget parent=0)
QStringList | mimeTypeFilter (self)
Akonadi.Collection | selectedCollection (self)
Akonadi.Collection.List | selectedCollections (self)
QAbstractItemView.SelectionMode | selectionMode (self)
| setMimeTypeFilter (self, QStringList mimeTypes)
| setSelectionMode (self, QAbstractItemView.SelectionMode mode)

## Method Documentation

__init__ | ( | self, |
|  | Akonadi.CollectionDialog | a0
| ) |  |  |

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Creates a collection dialog.

Parameters:

  | parent | The parent widget.

QStringList mimeTypeFilter | ( |  | self ) |

Returns the mime types any of which the selected collection(s) shall support.

See also:
  Akonadi.CollectionDialog.mimeTypeFilter()

Akonadi.Collection selectedCollection | ( |  | self ) |

Returns the selected collection.

Akonadi.Collection.List selectedCollections | ( |  | self ) |

Returns the list of selected collections.

QAbstractItemView.SelectionMode selectionMode | ( |  | self ) |

Returns the selection mode.

See also:
  QAbstractItemView.selectionMode()

setMimeTypeFilter | ( | self, |
|  | QStringList | mimeTypes
| ) |  |  |

Sets the mime types any of which the selected collection(s) shall support.

See also:
  Akonadi.CollectionDialog.setMimeTypeFilter()

setSelectionMode | ( | self, |
|  | QAbstractItemView.SelectionMode | mode
| ) |  |  |

Sets the selection mode.

See also:
  QAbstractItemView.setSelectionMode()